%define name	mjpegtools
%define version	1.6.2
%define release 10mdk
%define major	1.6
%define libname %mklibname %name %major

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPL
Url:		http://mjpeg.sourceforge.net
Group:		Video
Source:		%{name}-%{version}.tar.bz2
Patch0:		mjpegtools-1.6.1.93-add-info-dir.patch.bz2
Patch1:		mjpegtools-1.6.2-gcc3.4.patch.bz2
Patch2:		mjpegtools-1.6.2-lib64.patch.bz2
Patch3:		mjpegtools-1.6.1.90-libtool.patch.bz2
Patch4:		mjpegtools-1.6.1.93-pic.patch.bz2
Patch5:		mjpegtools-1.6.2-qt.patch.bz2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:  autoconf2.5
BuildRequires:  libgtk+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  SDL-devel
BuildRequires:  libquicktime-devel nasm
Buildrequires:	libdv-devel >= 0.99
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n	%{libname}
Summary:	Main library for for %{name}
Group:		System/Libraries
Provides:	libmjpegtools = %version-%release
Obsoletes:	libmjpegtools0 < %version-%release

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %version-%release
Obsoletes:	libmjpegtools0-devel < %version-%release

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p1 -b .infodir
%patch1 -p1 -b .gcc
%patch2 -p1 -b .lib64
%patch3 -p1 -b .libtool
%patch4 -p1 -b .pic
%patch5 -p1 -b .qt
autoconf
# toolame isn't in Mandrake, mp2enc is, so use that
perl -p -i -e 's/\-\"toolame\"/\-\"mp2enc\"/g' scripts/lav2mpeg

%if %mdkversion <= 910
#quick hack to fix struct statfs problem
mv lavtools/liblavrec.c lavtools/liblavrec.c.orig
mv lavtools/liblavplay.c lavtools/liblavplay.c.orig
mv lavtools/testrec.c lavtools/testrec.c.orig
echo "#define _I386_STATFS_H" > lavtools/liblavrec.c
echo "#define _I386_STATFS_H" > lavtools/liblavplay.c
echo "#define _I386_STATFS_H" > lavtools/testrec.c
cat lavtools/liblavrec.c.orig >> lavtools/liblavrec.c
cat lavtools/liblavplay.c.orig >> lavtools/liblavplay.c
cat lavtools/testrec.c.orig >> lavtools/testrec.c
%endif

%build
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. ../configure --enable-cmov-extension --enable-simd-accel \
  --libdir=%_libdir --with-dv-yv12
%if %mdkversion > 1000
make CFLAGS='-march=i686 -mtune=i686 -O2 -fomit-frame-pointer -pipe -Wall -Wunused'
%else
make CFLAGS='-march=i686 -mcpu=i686 -O2 -fomit-frame-pointer -pipe -Wall -Wunused'
%endif
popd
%endif
# build regular package

%if %{_target_cpu} == "i686"
%else
mkdir build-%{_target_cpu}
%endif

pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-cmov-extension --disable-simd-accel \
  --libdir=%_libdir --with-dv-yv12
make
popd

%install
rm -rf %buildroot
%ifarch %{ix86}
pushd build-i686
%makeinstall
popd
mkdir -p $RPM_BUILD_ROOT/%_libdir/i686
mv $RPM_BUILD_ROOT/%_libdir/*.so.* $RPM_BUILD_ROOT/%_libdir/i686/
%endif
pushd build-%{_target_cpu}
%makeinstall
popd


%post
%_install_info mjpeg-howto.info

%postun
%_remove_install_info mjpeg-howto.info


%post -n %{libname} -p /sbin/ldconfig 
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog CHANGES COPYING HINTS INSTALL NEWS PLANS README* TODO
%_bindir/glav
%_bindir/jpeg*
%_bindir/l*
%_bindir/matte*
%_bindir/mp*
%_bindir/ppm*
%_bindir/test*
%_bindir/trans*
%_bindir/y*
%_bindir/p*
%_bindir/multiblend.flt
%{_mandir}/man1/*
%_infodir/mjpeg-howto.info*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%ifarch %{ix86}
%{_libdir}/i686/*.so.*
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/mjpegtools-config
%_mandir/man5/yuv4mpeg.5*
%{_includedir}/mjpegtools
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Wed Feb  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.2-10mdk
- lib64 / multiarch

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.6.2-9mdk
- patch for new quicktime

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-8mdk
- drop 9.0 support 

* Wed Jun 29 2004 Austin Acton <austin@mandrake.org> 1.6.2-7mdk
- from Marc Koschewski <marc@osknowledge.org> :
  - fix i686 build

* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.2-6mdk
- buildrequires
- reenable libtoolize
- no .bz2 ending of man pages in %%files list
- cosmetics

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-5mdk
- fix cflags for i686
- patch for new g++

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-4mdk
- build with libquicktime

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-3mdk
- build static libs with -fPIC as they may be linked into a DSO

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-2mdk
- new libdv

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-1mdk
- new version

* Wed Mar 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.93-3mdk
- build with SDL for yuvplay

* Sun Jan 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.93-2mdk
- patch to add info dir entry

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.93-1mdk
- use mdkversion macro
- new version

* Thu Nov 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.92-1mdk
- new version

* Tue Nov 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.91-1mdk
- fix file list
- no parallel build, please 
- drop patch 4
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.90-2mdk
- fix buildrequires

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.90-1mdk
- rediff patch 3
- clean buildroot before installation
- add new files
- don't libtoolize
- patch4: fix illegal libtool version number
- use YV12 option
- drop patches 0,1,2
- don't require avifile anymore
- new version

* Sat Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 1.6.1-11mdk
- BuildRequires

* Tue Oct 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.1-10mdk
- libtool fixes

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-9mdk
- fix buildrequires

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-8mdk
- patch2: disable werror to make it build
- patch1: fix avifile header location

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-7mdk
- autoconf2.5 macro for the non-686 version

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-6mdk
- fix provides: don't make both main and libpackage provide mjpegtools

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-5mdk
- fix devel provides
- add obsoletes for old (bad) libname

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-4mdk
- fix rpmlint warning about the configure call
- mklibname
- fix major
- patch to make it compile with gcc 3.3

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 1.6.1-3mdk
- do a better job of that

* Mon Mar 24 2003 Austin Acton <aacton@yorku.ca> 1.6.1-2mdk
- add i686/mmx library

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-6mdk
- use autoconf 2.5 macro
- add missing yuv4mpeg man page

* Fri Oct 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-5mdk
- from Austin Acton <aacton@yorku.ca> :
	- use mp2enc instead of toolame for mp2 audio

* Thu Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-4mdk
- fix file list
- from Austin Acton <aacton@yorku.ca> :
	- add several missing binaries

* Wed Oct 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-3mdk
- from Austin Acton <aacton@yorku.ca> :
	- avoid use of libdv1-compat on 9.0+, use libdv2

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-2mdk
- from Austin Acton <aacton@yorku.ca> :
	- add hack to build on 9.0 and cooker (thanks to Narfi Stefansson <narfi@cs.wisc.edu>)

* Tue Jul 23 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-1mdk
- 1.6.0 final

* Mon Apr 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6.0-0.beta2.1mdk
- first mdk release, using a spec stolen from Ronald Bultje <rbultje@ronald.bitfreak.net>
